/*
 Theme Name:   Cavalor
 Theme URI:    https://example.com/cavalor
 Description:  Child theme for Hello Elementor
 Author:       Vogel & Katz
 Template:     hello-elementor
 Version:      1.0.0
 Text Domain:  cavalor
*/

/* Root */

:root {
    --darkblue: #03163d;
    --blue: #182a4a;
    --orange: #ed8b09;
    --lightgrey: #f8f8f8;
    --white: #ffffff;
    --black: #000000;
}

/* Backgrounds */

.bg-darkblue {
    background-color: var(--darkblue);
}

.bg-orange {
    background-color: var(--orange);
}

.bg-lightgrey {
    background-color: var(--lightgrey);
}

/* Buttons */

body a.btn,
body .btn {
    padding: .5rem 1.5rem;
    border-radius: 3rem;
    color: var(--white);
    font-weight: 500;
    transition: all ease .6s;
}

body button.btn-primary,
body button.btn-primary:hover,
body .btn-primary,
body .btn-primary:hover {
    border-color: var(--orange);
    background-color: var(--orange);
}

body button.btn-secondary,
body .btn-secondary,
body .btn-secondary:hover {
    border-color: var(--darkblue);
    background-color: var(--darkblue);
}

body a.btn-trans {
    background-color: transparent;
    color: var(--darkblue);
    border: 1px solid var(--darkblue);
}

body a.btn-trans:hover {
    color: var(--darkblue);
    border: 1px solid var(--darkblue);
}

body button.btn:hover,
body a.btn:hover {
    transform: skew(-10deg);
}

.btn-text-group {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    justify-content: center;
    align-items: center;
    margin-top: 3rem;
}

@media (max-width: 768px) {
    .btn-text-group .btn-primary {
        width: 100%;
    }
}

body a.text-link {
    font-weight: 500;
    display: block;
}

body a.text-link:hover {
    transform: skew(-10deg);
}

/* Headings */

body h2.title {
    font-weight: 600;
}

body h2.title-uppercase {
    text-transform: uppercase;
    font-size: 2rem;
    font-weight: 800;
    margin: 0;
}

/* Spacing */

@media (min-width: 1200px) {
    .mb-n6 {
        margin-bottom: -6rem;
    }

    .mb-n3 {
        margin-bottom: -3rem;
    }

    .py-xl-6 {
        padding-top: 6rem !important;
        padding-bottom: 6rem !important;
    }

    .pt-xl-6 {
        padding-top: 6rem !important;
    }

    .pb-xl-6 {
        padding-bottom: 6rem !important;
    }
}

/* Slick */

body button.slick-prev, body button.slick-next,
body button.slick-prev:focus, body button.slick-next:focus {
    padding: 0;
    font-size: 0;
    background-color: transparent;
}

body button.slick-prev:hover, body button.slick-next:hover {
    background-color: transparent;
}

button.slick-prev:before, button.slick-next:before {
    font-size: 2rem;
    color: var(--darkblue);
}

button.slick-prev {
    left: -3rem;
}

button.slick-next {
    right: -3rem;
}

@media (max-width: 768px) {
    button.slick-prev {
        left: 1.5rem;
    }

    button.slick-next {
        right: 1.5rem;
    }
}

/* Navbar */

.wpml-ls-legacy-dropdown {
    width: 150px;
    position: relative;
    z-index: 1030;
}

body .wpml-ls-statics-shortcode_actions .wpml-ls-current-language>a {
    color: var(--white);
    background-color: transparent;
}

body #offcanvasMenu .wpml-ls-statics-shortcode_actions .wpml-ls-current-language>a {
    color: var(--darkblue);
}

.header-top {
    padding: .5rem 0;
}

.header-top .row {
    align-items: center;
}

body .header-top, body .header-top .new-link,
body .header-top .top-nav a {
    color: var(--white);
    font-size: .85rem;
    font-weight: 500;
    transition: all ease .3s;
}

body .header-top .nav-item:not(.nav-item_lang) a {
    position: relative;
}

body .header-top .nav-item:not(.nav-item_lang) a::before {
    content: "";
    position: absolute;
    bottom: -.5rem;
    left: 0;
    width: 0;
    height: 2px;
    background-color: var(--orange);
}

body .header-top .nav-item:not(.nav-item_lang) a:hover::before {
    width: 100%;
}

body .header-top .new-link:hover,
body .header-top .nav-item:not(.nav-item_lang) a:hover {
    transform: skew(-10deg);
}
.new-link {
    color: var(--white);
    display: flex;
    align-items: center;
    justify-content: center;
}

.top-nav {
    display: flex;
    gap: 2rem;
    align-items: center;
    justify-content: end;
}

.navbar-layout {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    align-items: center;
    width: 100%;
}

.navbar-middle {
    justify-self: center;
}

.navbar-right {
    justify-self: end;
}

.navbar {
    padding: 1.25rem 0;
}

.navbar-expand-lg .navbar-nav .nav-link {
    font-size: .925rem;
    text-transform: uppercase;
    font-weight: 500;
}

.nav-actions {
    display: flex;
    gap: 2rem;
    font-size: 1.5rem;
}

.nav-actions .action-item .action-link {
    font-size: 1.25rem;
}

.navProducts .nav-link {
    display: flex;
    align-items: center;
    gap: .25rem;
}

.navProducts .nav-link::after {
    content: "";
    background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-chevron-down' viewBox='0 0 16 16'><path fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708'/></svg>");
    background-size: 18px;
    width: 18px;
    height: 18px;
    display: block;
}

.mm-layout {
    display: grid;
    grid-template-columns: 2fr 1fr;
}

.mm-collapse {
  background-color: rgb(255, 255, 255);
  position: fixed;
  left: 0px;
  right: 0px;
  z-index: 999;
  box-shadow: var(--bs-box-shadow);
}

@media (min-width: 1200px) {
    .mm-collapse {
        max-width: 1320px;
        margin: 0 auto;
    }
}

.mm-items {
    padding: 1.5rem;
}

.mm-title {
  color: var(--darkblue);
  display: block;
  font-size: 1rem !important;
  font-weight: 500 !important;
  margin-bottom: .5rem;
}

.mm-list {
  padding: 0;
  margin: 0;
  list-style: none;
  display: grid;
  gap: .5rem;
}

.mm-item {
  color: inherit;
  width: 100%;
  display: block;
  transition: all ease 0.3s;
  font-weight: 500 !important;
  font-size: .85rem !important;
}

.mm-title:hover,
.mm-item:hover {
  color: var(--orange);
  transform: skew(-10deg);
}

.mm-featured {
    color: var(--white);
    background-color: var(--darkblue);
    padding: 1.5rem;
}

.mm-featured .product-item {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    color: var(--white);
    background-color: var(--blue);
    padding: 1.5rem;
    border-radius: 1rem;
    margin-bottom: 1rem;
}

.mm-featured .product-image {
    width: 200px;
    object-fit: contain;
    margin: 0 auto;
}

.mm-featured .product-title {
    font-size: 1.5rem;
    margin-bottom: 1rem;
}

.mm-featured .featured-title {
    text-transform: uppercase;
    font-weight: 500;
    margin-bottom: .5rem;
}

.mm-featured .featured-list {
    padding: 0;
    margin: 0;
    list-style: none;
    display: grid;
    gap: .5rem;
    font-weight: 500;
}

.mm-featured .featured-list a {
    color: var(--white);
    font-size: .85rem;
    font-weight: 500;
    display: block;
    transition: all ease .3s;
}

.mm-featured .featured-list a:hover {
    color: var(--orange);
    transform: skew(-10deg);
}

.navbar-toggler {
    padding: 0;
    border: 0;
}

.navbar-toggler .bi {
    font-size: 1.75rem;
}

@media (max-width: 768px) {
    .navbar-brand img {
        width: 78px;
    }
}

/* Hero */

.hero {
    height: 65vh;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: var(--white);
    margin-bottom: -3rem;
}

.hero::after {
    content: "";
    position: absolute;
    inset: 0;
    z-index: 10;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, var(--darkblue) 100%);
}

.hero-image {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-content {
    position: relative;
    z-index: 20;
}

.hero .hero-title {
    text-transform: uppercase;
    font-weight: 800;
    color: var(--white);
    margin: 0;
}

.hero .hero-subtitle {
    font-size: 1.25rem;
    color: var(--white);
    margin: 1rem 0;
    letter-spacing: .5px;
    line-height: 1.5;
}

@media (max-width: 768px) {
    .hero {
        height: 50vh;
    }

    .hero .btn {
        width: 100%;
    }
}

/* Products */

.products-info {
    padding: 3rem 3rem 9rem 3rem;
    background-color: var(--white);
    position: relative;
    z-index: 10;
    text-align: center;
}

@media (max-width: 768px) {
    .products-info {
        padding: 1rem 2rem 4rem 2rem;
    }
}

/* Search */

#offcanvasSearch {
    width: 680px;
}

.offcanvas-header {
    padding-right: 1.5rem;
}

.offcanvas-title {
    font-size: 1.125rem;
    font-weight: 500;
    color: var(--darkblue);
}

.offcanvas-header .btn-close {
    border: 0;
    background-color: transparent;
}

.offcanvas-header .btn-close:hover {
    background-color: transparent;
    color: var(--orange);
}

.offcanvas-body {
    padding: 3rem 6rem;
}

@media (max-width: 768px) {
    .offcanvas-body {
        padding: 1.5rem;
    }
}

#offcanvasMenu .offcanvas-body .nav-link {
    font-size: 1.125rem;
    font-weight: 500;
}

#offcanvasMenu .navProducts .nav-link::after {
    transform: rotate(270deg);
}

.offcanvas-search {
    margin-bottom: 3rem;
}

#offcanvasProducts .mm-layout {
    grid-template-columns: 1fr;
}

#offcanvasProducts .mm-items {
    padding: 0;
}

#offcanvasProducts .mm-featured {
    display: none;
}

.resultBox {
    width: 100%;
    overflow-x: hidden;
    max-height: 420px;
    overflow-y: scroll;
}

.search-title {
    font-size: 1.5rem;
    font-weight: 500;
    margin-bottom: 1rem;
}

.offcanvas .search {
    font-size: 2.5rem;
    border: 0;
    border-bottom: 1px solid var(--darkblue);
    border-radius: 0;
    background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='currentColor' class='bi bi-arrow-right' viewBox='0 0 16 16'><path fill-rule='evenodd' d='M1 8a.5.5 0 0 1 .5-.5h11.793l-3.147-3.146a.5.5 0 0 1 .708-.708l4 4a.5.5 0 0 1 0 .708l-4 4a.5.5 0 0 1-.708-.708L13.293 8.5H1.5A.5.5 0 0 1 1 8'/></svg>");
    background-repeat: no-repeat;
    background-position: 95% 50%;
    background-size: 2rem;
}

.search-img,
.search-img-placeholder {
    width: 50px;
    height: 50px;
    object-fit: cover;
    border-radius: 50%;
    flex-shrink: 0;
}

.search-img-placeholder {
    background-color: var(--lightgrey);
}

.topics-title {
    font-weight: 500;
    font-size: 1.25rem;
    margin-bottom: 1.5rem;
}

.topics {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1rem;
}

.topics .topic-item {
    padding: .5rem 1rem;
    border: 1px solid var(--darkblue);
    border-radius: 3rem;
    text-align: center;
    font-weight: 500;
}

/* Content */

.content-media {
    position: relative;
    z-index: 10;
}

.content-image {
    width: 100%;
}

.content-block {
    padding: 0 1.5rem;
    position: relative;
    z-index: 10;
}

.content .content-block h2 {
    text-transform: uppercase;
    font-size: 2rem;
    font-weight: 800;
}

.content-overflow .content-media {
    height: 500px;
}

.content-overflow .content-media .content-image {
    height: 100%;
    object-fit: cover;
}

.topics-wrapper {
    padding: 6rem 3rem 3rem 3rem;
    background-color: var(--white);
}

@media (max-width: 1200px) {
    .topics-wrapper {
        background-color: var(--lightgrey);
        padding: 3rem 1.5rem;
    }
}

.topics-wrapper .topic-item {
    padding: .5rem 1rem;
    border: 1px solid var(--darkblue);
    border-radius: 3rem;
    text-align: center;
    font-weight: 500;
    display: block;
    text-align: center;
}

/* Discover */

.disc-item {
    display: flex;
    flex-direction: column;
    position: relative;
    margin: 0 .5rem;
}

.disc-item::after {
    content: "";
    position: absolute;
    inset: 0;
    z-index: 10;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, var(--darkblue) 100%);
    opacity: .5;
}

.disc-item:hover::after {
    opacity: 1;
}

.disc-image {
    width: 100%;
    height: 470px;
    object-fit: cover;
}

@media (max-width: 768px) {
    .disc-image {
        height: 320px;
    }
}

.disc-content {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 20;
}

.disc-item h3.disc-title {
    font-size: 1.5rem;
    margin: 0;
    color: var(--white);
    text-transform: uppercase;
    font-weight: 800;
}

.disc-item .bi {
    font-size: 2rem;
    color: var(--white);
}

.disc-item:hover h3.disc-title {
    color: var(--orange);
    transform: skew(-10deg);
}

.disc-item:hover .bi {
    color: var(--orange);
}

/* Review */

.slickReviews .slick-track {
    display: flex !important;
}

.slickReviews .slick-slide {
    height: inherit !important;
}

.review-item {
    display: flex;
    flex-direction: column;
    height: 100%;
    gap: 1rem;
    padding: 1.5rem;
    color: var(--darkblue);
    background-color: var(--lightgrey);
    text-align: center;
    margin: 0 .5rem;
}

.review-image {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    object-fit: cover;
    margin: 0 auto !important;
}

.review-title {
    font-size: 1.25rem;
    font-weight: 600;
}

.review-descr {
    font-size: 1rem;
}

.review-author {
    font-weight: 600;
    margin-bottom: auto;
}

.review-product {
    text-decoration: underline;
}

/* Articles */

.slickArticles .slick-track {
    display: flex !important;
}

.slickArticles .slick-slide {
    height: inherit !important;
}

.article-item {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin: 0 .5rem;
    height: 100%;
}

.article-media {
    background-color: var(--darkblue);
}

.article-image {
    height: 370px;
    object-fit: cover;
    margin: 0 !important;
}

.article-item h3.article-title {
    font-size: 1.45rem;
    color: var(--darkblue);
    margin-top: 0;
    line-height: 1;
}

.article-item:hover h3.article-title,
.article-item:hover {
    color: var(--orange);
}

.article-item:hover h3.article-title {
    transform: skew(-10deg);
}

.article-item:hover .article-image {
    opacity: .75;
}

.article-author {
    margin-top: auto;
}

/* Partner */

.partner-wrapper {
    padding: 3rem;
    text-align: center;
    background-color: var(--darkblue);
    display: flex;
    gap: 2rem;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: var(--white);
}

body .partner-wrapper a.btn-trans {
    color: var(--white);
    border: 1px solid var(--white);
}

.partner-content {
    max-width: 80%;
}

.partner-wrapper .btn-text-group {
    margin-top: 0;
}

.partner-wrapper .btn-text-group .text-link {
    color: var(--white);
}

/* Contact */

.contact-wrapper {
    padding: 6rem;
    background-color: var(--white);
}

@media (min-width: 1200px) {
    .contact-wrapper .row > .col-xl-6:first-child {
        border-right: 2px var(--bs-border-style) var(--bs-border-color);
    }
}

@media (max-width: 1199px) {
    .contact-wrapper .row > .col-xl-6:first-child .contact-item {
        padding-bottom: 1.5rem;
        border-bottom: 2px var(--bs-border-style) var(--bs-border-color);
    }

    .contact-wrapper {
        padding: 3rem;
    }
}

.contact-item {
    display: flex;
    flex-direction: column;
    text-align: center;
}

.contact-item .contact-title {
    color: var(--darkblue);
    font-size: 1.5rem;
    margin-top: 0;
}

.contact-item .btn {
    align-self: center;
}

.contact-items {
    display: flex;
    flex-direction: column;
    gap: .5rem;
}

.contact-items a {
    font-size: 1rem;
    font-weight: 500;
}

.contact-content {
    margin-bottom: 1.5rem;
}

/* Footer */

body .cavalor-footer, body .cavalor-footer a {
    color: var(--white);
}

.cavalor-footer a:hover {
    border-bottom: 2px solid var(--orange);
    font-style: italic;
}

.footer-title {
    text-transform: uppercase;
    font-weight: 400;
    margin-bottom: 1.5rem;
}

.footer-list {
    padding: 0;
    list-style: none;
    display: grid;
    gap: .5rem;
}

.list-social {
    display: flex;
    gap: 1rem;
    justify-content: end;
}

.social-icon {
    width: 32px;
    height: 32px;
    background-color: var(--white);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.copyright {
    color: var(--white);
    font-size: .85rem;
    padding-bottom: 1rem;
}

.disclaimer {
    font-size: .75rem;
    text-align: center;
}

body .copyright .privacy-link {
    color: var(--white);
    margin-left: 1rem;
}

body .copyright .website-link {
    color: var(--white);
    opacity: .25;
}

.widget-form .ff-default .ff-el-form-control {
    background-color: transparent;
    border: 0;
    border-bottom: 1px solid #fff;
    border-radius: 0;
    padding: .5rem 1rem;
    font-weight: 500;
    letter-spacing: -1px;
}

.widget-form .ff-default .ff-btn-sm {
    background-color: transparent !important;
    font-size: 1rem;
}